## org.apache.taglibs.standard.extra.spath
Class AttributePredicate

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.Predicate
          org.apache.taglibs.standard.extra.spath.AttributePredicate

    public class AttributePredicate

extends Predicate

Represents a predicate expression concerning a single attribute.

Author:
  Shawn Bayern

Constructor Summary
`AttributePredicate(String attribute, String target)` Constructs a new AttributePredicate, given an attribute name and a target literal (with which to test equality).

Method Summary
`boolean` `isMatchingAttribute(Attributes a)` Returns true if the given SAX AttributeList is suitable, given our attribute name and target; returns false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributePredicate

    public AttributePredicate(String attribute,
                              String target)

  Constructs a new AttributePredicate, given an attribute name and a target literal (with which to test equality).

Method Detail

### isMatchingAttribute

    public boolean isMatchingAttribute(Attributes a)

  Returns true if the given SAX AttributeList is suitable, given our attribute name and target; returns false otherwise.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.